# Enum Class EdgingRecordAndOffset.Type

java.lang.Object
java.lang.Enum<EdgingRecordAndOffset.Type>
htsjdk.samtools.util.EdgingRecordAndOffset.Type

All Implemented Interfaces:
  `Serializable, Comparable<EdgingRecordAndOffset.Type>, Constable`

Enclosing class:
  `EdgingRecordAndOffset`

public static enum EdgingRecordAndOffset.Type extends Enum<EdgingRecordAndOffset.Type>
Describes the type of `TypedRecordAndOffset`, whether it represents the start or the end of an alignment block.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BEGIN`
`END`

## Method Summary

Modifier and Type
Method
Description
`static EdgingRecordAndOffset.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EdgingRecordAndOffset.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEGIN

public static final EdgingRecordAndOffset.Type BEGIN

### END

public static final EdgingRecordAndOffset.Type END

## Method Details

### values

public static EdgingRecordAndOffset.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EdgingRecordAndOffset.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null